Bug 493200 - Graphical interface of Anaconda won't appear with external monitor connected
Graphical interface of Anaconda won't appear with external monitor connected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 17:47 EDT by Radek Novacek
Modified: 2016-11-30 19:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 19:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2009-03-31 17:47:33 EDT
Description of problem:
When I run graphical interface of Anaconda on my laptop (with GeForce 8400M) with external LCD monitor connected (via D-SUB), no GUI appeared at all. Last what I see is line about starting Anaconda, then the external monitor switch off but laptops internal LCD is off too. But with external LCD disconnected GUI appeared on laptop properly.

Version-Release number of selected component (if applicable):
x86_64 DVD iso of Beta1 Fedora 11 release

How reproducible:
In my case always with external LCD connected

Steps to Reproduce:
1. Connect external monitor
2. Run standard instalation
  
Actual results:
Anaconda GUI won't appear

Expected results:
Anaconda GUI appear on external LCD or at least on laptop's internal monitor


Additional info:
Comment 1 Chris Lumens 2009-04-01 10:46:55 EDT
anaconda doesn't do anything special to start up X anymore, so this is likely an X-specific problem.
Comment 2 Matěj Cepl 2009-04-06 17:31:06 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2009-04-06 17:31:46 EDT
Sorry, non-sensical boiler-plate message. This one is more appropriate:



Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and cp /tmp/X* to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Ben Skeggs 2009-04-09 01:35:14 EDT
I'd say it's likely this is a duplicate of #492366.  Are you able to try the same things I mentioned at the end of that bug report?

Thanks,
Ben.
Comment 5 Radek Novacek 2009-04-09 11:42:47 EDT
I tried it again, but after anaconda starts the computer freezes and I can't switch to the console (Ctrl+Alt+F2) or reboot (Ctrl+Alt+Del). I have to hold power button to shut down the computer. Without external monitor connected anaconda appears to be OK. Parameter "nouveau.modeset=1" changes resolution in textmode preinstall screens, but the result is the same = computer freezes.
Comment 6 Ben Skeggs 2009-04-09 20:07:48 EDT
Ok, thank you.  Are you planning on doing an install?  If so, can you install the latest versions of kernel and xorg-x11-drv-nouveau and retest booting up with the external monitor connected.  If it's still an issue with the updated packages, fresh versions of /var/log/messages and /var/log/Xorg.0.log will prove useful.

Thanks,
Ben.
Comment 7 Bug Zapper 2009-06-09 08:53:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Adam Williamson 2009-07-20 20:18:20 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.